package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.IntegralProduct;

/**
 * 积分商品Mapper接口
 * 
 * @author ruoyi
 * @date 2025-05-13
 */
public interface IntegralProductMapper 
{
    /**
     * 查询积分商品
     * 
     * @param id 积分商品主键
     * @return 积分商品
     */
    public IntegralProduct selectIntegralProductById(Long id);

    /**
     * 查询积分商品列表
     * 
     * @param integralProduct 积分商品
     * @return 积分商品集合
     */
    public List<IntegralProduct> selectIntegralProductList(IntegralProduct integralProduct);

    /**
     * 新增积分商品
     * 
     * @param integralProduct 积分商品
     * @return 结果
     */
    public int insertIntegralProduct(IntegralProduct integralProduct);

    /**
     * 修改积分商品
     * 
     * @param integralProduct 积分商品
     * @return 结果
     */
    public int updateIntegralProduct(IntegralProduct integralProduct);

    /**
     * 删除积分商品
     * 
     * @param id 积分商品主键
     * @return 结果
     */
    public int deleteIntegralProductById(Long id);

    /**
     * 批量删除积分商品
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteIntegralProductByIds(Long[] ids);
}
